## org.eclipse.jet.taglib
Interface TagAttributeDefinition

    public interface TagAttributeDefinition

Expose the details of a Custom Tag attribute

Field Summary
`static java.lang.String` `BOOLEAN_TYPE` An attribute whose value is either "true" or "false".
`static java.lang.String` `STRING_TYPE` An attribute whose value is any legal string.
`static java.lang.String` `XPATH_TYPE` An attribute whose value is an XPath expression.

Method Summary
`java.lang.String` `getDescription()` Return the attribute's description if provided
`java.lang.String` `getName()` Return the attribute's name
`java.lang.String` `getType()` Return the attributes's type
`boolean` `isDeprecated()` Test if the element has been deprecated
`boolean` `isRequired()` Test if the element is required

Field Detail

### STRING_TYPE

    static final java.lang.String STRING_TYPE

  An attribute whose value is any legal string. Value is "string".

  See Also:
    Constant Field Values

### BOOLEAN_TYPE

    static final java.lang.String BOOLEAN_TYPE

  An attribute whose value is either "true" or "false". Value is "boolean".

  See Also:
    Constant Field Values

### XPATH_TYPE

    static final java.lang.String XPATH_TYPE

  An attribute whose value is an XPath expression. "Value is "xpath".

  See Also:
    Constant Field Values

Method Detail

### getName

    java.lang.String getName()

  Return the attribute's name

  Returns:
    the attribute name

### getDescription

    java.lang.String getDescription()

  Return the attribute's description if provided

  Returns:
    the description or an empty string.

### getType

    java.lang.String getType()

  Return the attributes's type

  Returns:
    the attribute's type
  See Also:
    `BOOLEAN_TYPE`, `STRING_TYPE`, `XPATH_TYPE`

### isRequired

    boolean isRequired()

  Test if the element is required

  Returns:
    `true` if the element is required, `false` otherwise.

### isDeprecated

    boolean isDeprecated()

  Test if the element has been deprecated

  Returns:
    `true` if the element has been deprecated, `false` otherwise.

Copyright 2006 IBM Corporation and others. All Rights Reserved.